#!/bin/bash
case $(wofi -d -L 6 -l 3 -W 100 -x -490 -y 0 \
    -D dynamic_lines=true << EOF | sed 's/^ *//'
    Shutdown
    Reboot
    Log off
    Cancel
EOF
) in
    "Shutdown")
        systemctl poweroff
        ;;
    "Reboot")
        systemctl reboot
        ;;
    "Log off")
        hyprctl dispatch exit
        ;;
esac
